:root {
  --spacing-relative-2xs: 4px;
  --spacing-relative-xs: 8px;
  --spacing-relative-sm: 12px;
  --spacing-relative-md: 16px;
  --spacing-relative-lg: 24px;
  --spacing-relative-xl: 28px;
  --spacing-relative-2xl: 36px;
  --spacing-relative-3xl: 40px;
  --spacing-relative-4xl: 48px;
  --spacing-relative-5xl: 64px;
  --spacing-relative-6xl: 80px;
  --spacing-relative-7xl: 96px;
  --spacing-relative-8xl: 120px;
  --page-margin: 16px;
}
html {
  scroll-behavior: smooth;
}
body,
html {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: "AudiType", Arial;
  background-color: hsla(216, 23%, 8%, 1);
  color: rgb(252, 252, 253);
}
*::after,
*::before,
* {
  box-sizing: border-box;
}
a {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}
img {
  max-width: 100%;
  width: 100%;
}
h1,
h2,
h3,
h4,
p {
  margin: 0;
}
section {
  position: relative;
}
[v-cloak] {
  display: none;
}

[id] {
  scroll-margin-top: 56px;
}
.pointer {
  cursor: pointer;
}
.container {
  padding-inline: var(--page-margin);
}

.text-center {
  text-align: center;
}

.c-logo-flex {
  display: flex;
  align-items: center;
  padding: 15px 0;
}
.c-logo-text {
  font-size: .6rem;
  margin-left: 1rem;
  font-weight: 500;
}
.c-logo img {
  max-height: 25px;
  width: auto;
  filter: invert(1);
}

.baner {
  object-fit: contain;
  height: 100%;
  position: relative;
}
.baner img {
  height: 100%;
  object-fit: cover;
  position: relative;
  width: 100%;
}

.navigation {
  padding: 4px var(--page-margin);
  display: flex;
  -webkit-box-align: center;
  align-items: center;
}
.navigation-button {
  display: flex;
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
  width: min-content;
  gap: 8px;
  flex-shrink: 0;
}
.navigation-button.disabled {
  opacity: 0.5;
  pointer-events: none;
}
.navigation-button button {
  display: flex;
  padding: 0px;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  border-radius: 999px;
  transition-timing-function: cubic-bezier(0.75, 0.02, 0.5, 1);
  transition-duration: 250ms;
  transition-property: color, box-shadow, border-color, background;
  cursor: pointer;
  width: 48px;
  height: 48px;
  background: rgba(154, 163, 177, 0);
  color: rgb(252, 252, 253);
  border: 1px solid rgba(219, 223, 230, 0);
}
.navigation-button button svg {
  color: inherit;
}
.navigation__anchor {
  z-index: 90;
  background-color: rgb(16, 19, 25);
  height: 56px;
  position: sticky;
  top: 0px;
  padding: 0px;
}
.navigation ul {
  margin: 0px;
  padding: 0px;
  display: flex;
  overflow: auto hidden;
  scrollbar-width: none;
  flex-wrap: nowrap;
}
.navigation ul li {
  list-style-type: none;
  flex: 1 0 auto;
  display: flex;
  text-align: center;
  letter-spacing: 0px;
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
  font-stretch: 105%;
}
.navigation ul li.active a {
  color: rgba(252, 252, 253);
  font-weight: bold;
}
.navigation ul li a{
  cursor: pointer;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  text-decoration: none;
  border-radius: 10px;
  background: rgba(44, 52, 63, 0);
  box-shadow: rgba(219, 223, 230, 0) 0px 0px 0px 1px inset;
  outline-offset: -3px;
  box-sizing: border-box;
  transition-timing-function: cubic-bezier(0.75, 0.02, 0.5, 1);
  transition-duration: 250ms;
  transition-property: color, background, box-shadow;
  min-height: 48px;
  min-width: 64px;
  color: rgba(252, 252, 253, 0.7);
  padding: 0px 16px;
}
.navigation ul li a:hover {
  color: rgb(252, 252, 253);
  background-color: rgb(44, 52, 63);
  box-shadow: rgba(219, 223, 230, 0.2) 0px 0px 0px 1px inset;
}

.header {
  padding-block: var(--spacing-relative-xl);
  text-align: center;
}
.header h1, .header h2, .header h3 {
  max-width: 100%;
  width: 100%;
  margin-inline: auto;
  margin-block: 0px var(--spacing-relative-lg);
  letter-spacing: 0px;
  font-weight: 500;
  text-decoration: none;
  font-size: 24px;
  line-height: 44px;
  font-stretch: 130%;
}
.header p {
  max-width: 1248px;
  width: 100%;
  margin-inline: auto;
  color: rgba(252, 252, 253, 0.7);
  letter-spacing: 0px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  font-stretch: 105%;
}

.link {
  margin-block: var(--spacing-relative-xl);
}
.link a {
  transition-timing-function: cubic-bezier(0.75, 0.02, 0.5, 1);
  transition-duration: 250ms;
  transition-property: color, text-decoration-color;
  display: inline-flex;
  -webkit-box-align: center;
  align-items: center;
  letter-spacing: 0px;
  text-decoration: underline 1px rgb(252, 252, 253);
  font-size: 16px;
  line-height: 24px;
  font-stretch: 105%;
  color: rgb(252, 252, 253);
  box-sizing: border-box;
  text-underline-offset: 7px;
  padding-bottom: 2px;
  min-height: 24px;
}
.link a:hover {
  color: rgba(252, 252, 253, 0.7);
  text-decoration-color: rgba(252, 252, 253, 0.7);
}
.link a svg {
  flex-shrink: 0;
  margin-left: 8px;
  color: inherit;
}

.photoText {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  grid-template-areas: "media" "textarea";
  padding-block: var(--spacing-relative-xl);
}
.photoText--container .container:nth-child(even) .photoText {
  grid-template-areas: "media" "textarea";
}
.photoText__image {
  grid-area: media;
  position: relative;
  height: 0px;
  overflow: hidden;
  padding-top: 100%;
}
.photoText__image-container {
  position: absolute;
  inset: 0px;
  height: 100%;
}
.photoText__image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px;
}
.photoText__content {
  grid-area: textarea;
  align-self: center;
}
.photoText__content h2 {
  letter-spacing: 0px;
  font-weight: 500;
  font-size: 24px;
  line-height: 36px;
  font-stretch: 130%;
}
.photoText__content h4 {
  font-weight: 500;
  font-size: 20px;
  line-height: 32px;
  font-stretch: 130%;
  margin-block-start: var(--spacing-relative-xs);
}
.photoText__content p {
  color: rgba(252, 252, 253, 0.7);
  letter-spacing: 0px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  font-stretch: 105%;
  margin-block-start: var(--spacing-relative-xs);
}

.buttons {
  display: flex;
  gap: 12px 8px;
  align-items: flex-start;
  flex-direction: column;
  margin-block-start: var(--spacing-relative-lg);
}
.buttons a {
  max-width: 100%;
  width: 100%;
}
.button {
  border: 0px;
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  transition-timing-function: cubic-bezier(0.75, 0.02, 0.5, 1);
  transition-duration: 250ms;
  border-radius: 999px;
  cursor: pointer;
  display: inline-flex;
  box-sizing: border-box;
  text-align: center;
  letter-spacing: 0px;
  font-weight: 400;
  text-decoration: none;
  font-size: 14px;
  line-height: 20px;
  font-stretch: 105%;
  padding: 12px 24px;
  min-height: 48px;
  width: 100%;
  background: rgb(101, 112, 129);
  color: rgb(252, 252, 253);
  box-shadow: rgba(101, 112, 129, 0) 0px 0px 0px 1px inset;
  transition-property: color, background, box-shadow;
}
.button:hover {
  background: rgb(44, 52, 63);
  box-shadow: rgba(219, 223, 230, 0.2) 0px 0px 0px 1px inset;
}
.buttons a:nth-of-type(even) .button {
  background-color: rgb(24, 29, 37);
  box-shadow: rgb(44, 52, 63) 0px 0px 0px 1px inset;
}
.buttons a:nth-of-type(even) .button:hover {
  background-color: rgb(44, 52, 63);
  box-shadow: rgba(219, 223, 230, 0.2) 0px 0px 0px 1px inset;
}

.model__header {
  display: flex;
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
  text-align: center;
  z-index: 1;
  padding-block: var(--spacing-relative-md);
  transition: padding 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98);
}
.model__header p {
  margin: 0px;
  color: rgba(252, 252, 253, 0.7);
  letter-spacing: 0px;
  font-weight: bold;
  font-size: 16px;
  line-height: 24px;
  font-stretch: 105%;
  transition: margin-top 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98);
}
.model__header-btn {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
}
.model__header-btn button {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  background: none;
  box-shadow: none;
  border: 1px solid rgb(44, 52, 63);
  border-radius: 50%;
  cursor: pointer;
  width: 48px;
  height: 48px;
  color: rgb(252, 252, 253);
  transform: rotate(45deg);
  transition: transform 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98), width 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98), height 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98);
}
.model__header-btn button svg {
  height: 24px;
  width: 24px;
  stroke-width: 1px;
  transition: height 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98), width 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98);
}
.model__header-btn button.active {
  width: 24px;
  height: 24px;
  transform: rotate(0deg);
}
.model__header-btn button.active svg {
  height: 16px;
  width: 16px;
  stroke-width: 1.6px;
}

.model__list {
  box-sizing: border-box;
  height: var(--panel-height);
  width: 100%;
  visibility: visible;
  display: flex;
  flex-direction: column;
  -webkit-box-align: center;
  align-items: center;
  transition: height 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98), visibility 500ms cubic-bezier(0.2, 0.35, 0.5, 0.98);
  overflow: hidden;
  background-color: transparent;
}
.model__list-container {
  display: flex;
  padding-block: var(--spacing-relative-xl);
  flex-direction: column;
}

.model__list-elem {
  background-color: rgba(252, 252, 253, 0.15);
  padding: 24px 28px;
  display: flex;
  flex-direction: column;
  -webkit-box-pack: start;
  justify-content: flex-start;
  animation-fill-mode: forwards;
  animation-iteration-count: 1;
  animation-delay: 0s;
  -webkit-box-flex: 1;
  flex-grow: 1;
  align-items: flex-start;
  text-align: left;
  margin-block-end: 1px;
}
.model__list-elem strong {
  font-weight: bold;
}
.model__list-elem strong span {
  font-weight: 400;
}
.model__list-elem h3 {
  margin: 0 0 var(--spacing-relative-md) 0;
  font-weight: 500;
  font-size: 20px;
  line-height: 32px;
  font-stretch: 130%;
}
.model__list-elem p {
  color: rgba(252, 252, 253, 0.7);
  letter-spacing: 0px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  font-stretch: 105%;
  margin-bottom: var(--spacing-relative-md);
}
.model__list-elem a {
  text-decoration: underline;
  font-weight: bold;
}

.model__list-elem:first-of-type {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.model__list-elem:last-of-type {
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
}

.model__list-elem ul {
  position: relative;
  list-style-type: none;
  counter-reset: section 0;
  padding: 0px 0px 0px calc(32px);
  font-family: AudiType, sans-serif;
  letter-spacing: 0px;
  font-weight: 400;
  text-decoration: none;
  font-size: 16px;
  line-height: 24px;
  font-stretch: 105%;
  color: rgba(252, 252, 253, 0.7);
  margin: 0px;
}
.model__list-elem ul li {
  margin-block-end: var(--spacing-relative-sm);
}
.model__list-elem ul li .arrow {
  position: absolute;
  left: 0px;
  text-align: end;
  display: inline-block;
  width: 16px;
}

.info {
  color: rgba(252, 252, 253, 0.7);
  letter-spacing: 0px;
  font-size: 16px;
  line-height: 24px;
  font-stretch: 105%;
  margin-block-start: var(--spacing-relative-3xl);
  padding-bottom: var(--spacing-relative-3xl);
  padding-inline: var(--page-margin);
}

.c-dealers{
  display: block;
  padding-block: 35px 60px;
  border-top: 1px solid #949494;
  color: #ffffff;
  margin-block-start: 50px;
}
.c-dealers-col{
  text-align: center;
}

.c-dealers-name{
  font-size: 15px;
  font-weight: 400;
}
.c-dealers-name.text-center {
  text-align: left;
}
.c-dealers-name strong {
  font-size: 24px;
  font-weight: 900;
}

@media (min-width: 320px) {
  .baner {
    height: 640px;
  }
  .photoText__content {
    padding-block: var(--spacing-relative-lg);
  }
}

@media (min-width: 375px) {
  :root {
    --page-margin: 28px;
  }
}

@media(min-width: 450px) {
  .c-dealers-col {
    padding-inline: 20px;
  }
}

@media (min-width: 480px) {
  .header h1, .header h2, .header h3 {
    font-size: 36px;
    line-height: 52px;
  }
  .c-dealers-col {
    padding-inline: 40px;
  }
}

@media(min-width: 530px) {
  .c-logo-text {
    margin-left: 2rem;
    font-size: 16px;
  }
  .c-logo img {
    max-height: 40px;
  }
  .c-dealers{
    display: flex;
    justify-content: space-around;
  }
}

@media (min-width: 768px) {
  :root {
    --spacing-relative-3xl: 48px;
    --spacing-relative-4xl: 64px;
    --spacing-relative-5xl: 72px;
    --spacing-relative-6xl: 88px;
    --spacing-relative-7xl: 104px;
    --spacing-relative-8xl: 136px;
    --page-margin: 40px;
  }
  .baner {
    height: 800px;
  }
  .header h1, .header h2 {
    max-width: 800px;
    font-size: 44px;
    line-height: 60px;
  }
  .button {
    width: auto;
  }
  .photoText--container .container:nth-child(even) .photoText {
    grid-template-areas: "textarea" "media";
  }
  .model__list-container {
    -webkit-box-pack: center;
    justify-content: center;
    flex-direction: unset;
  }
  .model__list-elem {
    width: 30%;
    border-right: 1px solid rgb(16, 19, 25);
    margin-block-end: 0px;
  }
  .model__list-elem:first-of-type {
    border-radius: 0px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
  }
  .model__list-elem:last-of-type {
    border-radius: 0px;
    border-right: 0px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
  }
  .model__list-elem ul li .arrow {
    border-right-width: medium;
    border-right-style: none;
    border-right-color: currentcolor;
  }
  .buttons a {
    max-width: unset;
    width: auto;
  }
  .info {
    padding: var(--spacing-relative-xl) var(--page-margin);
  }
  .c-dealers{
    padding-block: 70px 60px;
  }
  .c-dealers-col {
    padding-inline: 0px;
  }
  .c-dealers-name{
    font-size: 18px;
  }
  .c-dealers-name.text-center {
    text-align: center;
  }
  .c-dealers-name strong {
    font-size: 26px;
  }
}

@media (min-width: 1024px) {
  :root {
    --spacing-relative-2xl: 40px;
    --spacing-relative-3xl: 56px;
    --spacing-relative-4xl: 72px;
    --spacing-relative-5xl: 88px;
    --spacing-relative-6xl: 104px;
    --spacing-relative-7xl: 128px;
    --spacing-relative-8xl: 168px;
    --page-margin: 60px;
  }
  .baner {
    height: 640px;
  }
  .header h1, .header h2 {
    max-width: 1080px;
    font-size: 52px;
    line-height: 76px;
  }
  .photoText {
    grid-template-columns: 1fr 1fr;
    grid-template-areas: "media textarea";
    padding-block-end: var(--spacing-relative-2xl);
  }
  .photoText__content {
    display: flex;
    flex-direction: column;
    -webkit-box-pack: center;
    justify-content: center;
    align-items: flex-start;
    padding-inline-start: var(--spacing-relative-2xl);
    padding-inline-end: var(--spacing-relative-2xl);
    padding-block-start: 0px;
  }
  .photoText__content h2 {
    font-size: 28px;
    line-height: 40px;
  }
  .info {
    margin-inline: 0px;
  }
  .navigation-button {
    display: none;
  }
}

@media (min-width: 1440px) {
  :root {
    --spacing-relative-xl: 32px;
    --spacing-relative-2xl: 56px;
    --spacing-relative-3xl: 72px;
    --spacing-relative-4xl: 88px;
    --spacing-relative-5xl: 104px;
    --spacing-relative-6xl: 120px;
    --spacing-relative-7xl: 160px;
    --spacing-relative-8xl: 216px;
    --page-margin: 96px;
  }
  .header h1, .header h2 {
    max-width: 1100px;
    font-size: 60px;
    line-height: 84px;
  }
  .photoText {
    grid-template-columns: 1fr 1fr;
    grid-template-areas: "media textarea";
    padding-block-end: var(--spacing-relative-2xl);
  }
  .photoText__content h2 {
    font-size: 32px;
    line-height: 44px;
  }
  .photoText__content h4 {
    font-size: 24px;
    line-height: 36px;
  }
  .model__list-elem h3 {
    font-size: 24px;
    line-height: 36px;
  }
  .c-dealers-name strong {
    font-size: 33px;
  }
}

@media (min-width: 1920px) {
  :root {
    --spacing-relative-xl: 40px;
    --spacing-relative-2xl: 72px;
    --spacing-relative-3xl: 88px;
    --spacing-relative-4xl: 104px;
    --spacing-relative-5xl: 120px;
    --spacing-relative-6xl: 136px;
    --spacing-relative-7xl: 176px;
    --spacing-relative-8xl: 248px;
  }
  .baner {
    height: 800px;
  }
  .header h1, .header h2 {
    max-width: 1100px;
    font-size: 72px;
    line-height: 100px;
  }
  .photoText__content h2 {
    font-size: 36px;
    line-height: 52px;
  }
  .info {
    max-width: 1440px;
    margin-inline: auto;
  }
}